Package fr.gouv.vitam.worker.core.plugin.lfc_traceability

# Class PrepareLfcTraceabilityActionPlugin

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.plugin.lfc_traceability.PrepareLfcTraceabilityActionPlugin

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

Direct Known Subclasses:
  `PrepareObjectGroupLfcTraceabilityActionPlugin`, `PrepareUnitLfcTraceabilityActionPlugin`

public abstract class PrepareLfcTraceabilityActionPlugin extends ActionHandler

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final com.fasterxml.jackson.core.type.TypeReference<com.fasterxml.jackson.databind.JsonNode>`
  `JSON_NODE_TYPE_REFERENCE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrepareLfcTraceabilityActionPlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract String`
  `actionName()`
  `void`
  `checkMandatoryIOParameter(HandlerIO handler)`
  Check mandatory parameter
  `protected abstract InputStream`
  `exportRawLifecyclesByLastPersistedDate(LogbookLifeCyclesClientFactory logbookLifeCyclesClientFactory, LocalDateTime selectionStartDate, LocalDateTime selectionEndDate, int lifecycleTraceabilityMaxEntries)`
  `protected abstract Map<String,com.fasterxml.jackson.databind.JsonNode>`
  `getRawMetadata(Set<String> ids, MetaDataClientFactory metaDataClientFactory)`
  `protected StatusCode`
  `selectAndExportLifecyclesWithMetadata(int temporizationDelayInSeconds, int lifecycleTraceabilityMaxEntries, String eventType, HandlerIO handlerIO)`
  `protected abstract String`
  `stepName()`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryParameters, close, execute, executeList, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### JSON_NODE_TYPE_REFERENCE

    public static final com.fasterxml.jackson.core.type.TypeReference<com.fasterxml.jackson.databind.JsonNode> JSON_NODE_TYPE_REFERENCE

- ## Constructor Details

  - ### PrepareLfcTraceabilityActionPlugin

    public PrepareLfcTraceabilityActionPlugin()

- ## Method Details

  - ### selectAndExportLifecyclesWithMetadata

    protected StatusCode selectAndExportLifecyclesWithMetadata(int temporizationDelayInSeconds, int lifecycleTraceabilityMaxEntries, String eventType, HandlerIO handlerIO) throws ProcessingException, InvalidParseOperationException, LogbookClientException
    Throws:
      `ProcessingException`
      `InvalidParseOperationException`
      `LogbookClientException`

  - ### checkMandatoryIOParameter

    public void checkMandatoryIOParameter(HandlerIO handler) throws ProcessingException
    Description copied from class: `ActionHandler`
    Check mandatory parameter
    Overrides:
      `checkMandatoryIOParameter` in class `ActionHandler`
    Parameters:
      `handler` - input output list
    Throws:
      `ProcessingException` - when handler io is not complete

  - ### exportRawLifecyclesByLastPersistedDate

    protected abstract InputStream exportRawLifecyclesByLastPersistedDate(LogbookLifeCyclesClientFactory logbookLifeCyclesClientFactory, LocalDateTime selectionStartDate, LocalDateTime selectionEndDate, int lifecycleTraceabilityMaxEntries) throws LogbookClientException, InvalidParseOperationException, IOException
    Throws:
      `LogbookClientException`
      `InvalidParseOperationException`
      `IOException`

  - ### getRawMetadata

    protected abstract Map<String,com.fasterxml.jackson.databind.JsonNode> getRawMetadata(Set<String> ids, MetaDataClientFactory metaDataClientFactory) throws ProcessingException
    Throws:
      `ProcessingException`

  - ### stepName

    protected abstract String stepName()

  - ### actionName

    protected abstract String actionName()